wordpress 2.6.1

Тема в разделе "Wordpress", создана пользователем xdemon, 15 авг 2008.

Статус темы:
Закрыта.
Модераторы: DzSoft, Sorcus
  1. xdemon

    xdemon Постоялец

    Регистр.:
    20 июн 2007
    Сообщения:
    125
    Симпатии:
    13
    Зарелизили. По словам автора, если "у вас все работает, то обновлятся не стоит"
    цитате
    wp blog: Перейти по ссылке
     
  2. Plazik

    Plazik Создатель

    Регистр.:
    25 июн 2008
    Сообщения:
    10
    Симпатии:
    1
  3. dee_motard

    dee_motard

    Регистр.:
    26 июл 2008
    Сообщения:
    247
    Симпатии:
    76
    кстати сейчас вот фиксил такой баг, может кому-то пригодится. Проблема связана со вставкой картинок, их текст не обтекает и вообще форматирование происходит кое-как.

    Выяснилось, что в свежих вордпрессах добавили шаблонов в css, которые отсутствуют во многих темах.
    Если у вас возникли проблемы с форматированием, то просто в .css файл добавляем следующее

    PHP:
    /* Begin Images */
    p img {
        
    padding0;
        
    max-width100%;
        }

    /*    Using 'class="alignright"' on an image will (who would've
        thought?!) align the image to the right. And using 'class="centered',
        will of course center the image. This is much better than using
        align="center", being much more futureproof (and valid) */

    img.centered {
        
    displayblock;
        
    margin-leftauto;
        
    margin-rightauto;
        }

    img.alignright {
        
    padding4px;
        
    margin0 0 2px 7px;
        
    displayinline;
        }

    img.alignleft {
        
    padding4px;
        
    margin0 7px 2px 0;
        
    displayinline;
        }

    .
    alignright {
        
    floatright;
        }

    .
    alignleft {
        
    floatleft
        
    }
    /* End Images */

    /* Captions */
    .aligncenter,
    div.aligncenter {
        
    displayblock;
        
    margin-leftauto;
        
    margin-rightauto;
    }

    .
    wp-caption {
        
    border1px solid #ddd;
        
    text-aligncenter;
        
    background-color#f3f3f3;
        
    padding-top4px;
        
    margin10px;
        -
    moz-border-radius3px;
        -
    khtml-border-radius3px;
        -
    webkit-border-radius3px;
        
    border-radius3px;
    }

    .
    wp-caption img {
        
    margin0;
        
    padding0;
        
    border0 none;
    }

    .
    wp-caption p.wp-caption-text {
        
    font-size11px;
        
    line-height17px;
        
    padding0 4px 5px;
        
    margin0;
    }
    /* End captions */

    и всё станет путём.
     
  4. pgood7

    pgood7 Постоялец

    Регистр.:
    25 июн 2008
    Сообщения:
    123
    Симпатии:
    35
    У меня блог на версии 2.5.1, возникли следующие вопросы:
    1) что существенно изменится?
    2) не полетит ли что-либо на сайте после обновления?
    3) и собственно КАК ОБНОВИТЬСЯ? :nezn:
     
  5. g-prime

    g-prime איך בין גאָט

    Регистр.:
    11 авг 2008
    Сообщения:
    779
    Симпатии:
    1.131
    1) По утверждению. разработчиков исправлены некоторые ошибки. Но советую прочитать, вот эту статью: http://maxsite.org/dlya-chego-podhodit-i-ne-pododit-wordpress
    2) Что именно может полететь? Кроме плагинов, которые еще не имеют совместимости с новой версии
    3) Качаешь патч, обновляешь файлы и запускаешь:
    Перейти по ссылке

    Мое мнение, я бы не стал обновляться, больше ресурсов будет использовать ИМХО, но это мое мнение
     
  6. xdemon

    xdemon Постоялец

    Регистр.:
    20 июн 2007
    Сообщения:
    125
    Симпатии:
    13
    Ничего не полетит. Никаких нововведений нет, однибагфиксы.
     
  7. able

    able

    Регистр.:
    5 апр 2008
    Сообщения:
    226
    Симпатии:
    66
    instant upgrade спасёт тебя :)
     
  8. mephistophel

    mephistophel Постоялец

    Регистр.:
    4 мар 2008
    Сообщения:
    76
    Симпатии:
    31
    Нив коем случае не слушай людей которые говорят что ничего не полетит. А они вообще не знаю чем думают.


    К примеру если на блоге 2.5.1 устновлен плагин WP_multilingual и ты обновишся до 2.6(.1) то просто получишь нерабортоспособный блог.

    Обязательно проверь свои плагины на совместимость с новой версией перед обновлением. И сделай бекап.
     
  9. xdemon

    xdemon Постоялец

    Регистр.:
    20 июн 2007
    Сообщения:
    125
    Симпатии:
    13
    Бэкапы всегда надо делать. При апдейте с 2.6 на 2.6.1 точно ничего не полетит. Вот с 2.5 на 2.6 да, летели плагины из за несовместимости. Также как и с 2.2 на 2.3 и так далее.
     
  10. Deqvin

    Deqvin Создатель

    Регистр.:
    4 май 2007
    Сообщения:
    13
    Симпатии:
    1
    Блин ппц после установки этой версии пашет токо стандартный скин, с остальными просто ужас, элементы вообще не отображаются...
     
Статус темы:
Закрыта.